Subject: RE: [PWE3] fragmentation and MTU

From: "Sasha Vainshtein" <[email-masked]>
Date: Mon, 26 Jun 2006 12:47:37 +0200

Yaakov, Luca, Andy and all,

IMO this is already taken care of by the Interface MTU Sub-TLV that is defined in RFC 4447, Section 5.5.:

<quote>
  -  Interface MTU sub-TLV type

      A 2-octet value indicating the MTU in octets.  This is the Maximum
      Transmission Unit, excluding encapsulation overhead, of the egress
      packet interface that will be transmitting the decapsulated PDU
      that is received from the MPLS-enabled network.  This parameter is
      applicable only to PWs transporting packets and is REQUIRED for
      these PW types.  If this parameter does not match in both
      directions of a specific PW, that PW MUST NOT be enabled.

<end quote>. 

IANA has assigned a type of 0x01 for this sub-TLV (see  http://www.iana.org/assignments/pwe3-parameters).

Did I miss something?

Regards,
                       Sasha

> -----Original Message-----
> From: Yaakov Stein [mailto:[email-masked]]
> Sent: Monday, June 26, 2006 11:38 AM
> To: Malis, Andrew G.
> Cc: pwe3
> Subject: [PWE3] fragmentation and MTU
> 
> 
> Andy, 
>  
> I just noticed something that is possibly missing in the 
> MPLS control protocol extension section of the fragmentation draft.
>  
> The PW Interface Parameter sub-TLV parameter 0x09
> indicates whether a PE supports fragmentation (i.e. can process
> the FRG field in the CW, has memory for storage of 
> intermediate packets,
> etc)
> but there is no indication of the MTU of the AC.
> 
> Thus, for an Ethernet PW, we don't know whether a PE specifying
> that it can handle fragmentation means that it can swallow a jumbo
> frame,
> or just reconstruct a regular 1500 byte frame that had to be 
> fragmented
> due to the PSN overhead. 
> 
> The L2TPv3 section has MRU and MRRU AVPs, but they focus on the PW
> packet
> (i.e. includes some or all of the L2TP + PSN overheads), 
> rather than the
> AC
> limitations. Of course for the L2TPv3 case an AC limitation can be
> uniquely translated.
> 
> Y(J)S
> 
>  
> 
> _______________________________________________
> pwe3 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/pwe3
> 
> 

_______________________________________________
pwe3 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pwe3

---

From: "Andrew G. Malis" <[email-masked]>
Date: Mon, 26 Jun 2006 09:53:03 -0400

Sasha and Yaakov,

Sasha is correct - the Interface MTU Sub-TLV signals the MTU of the 
AC.  Note that this is independent of the fragmentation draft, which 
fragments based on the MTU of the PSN, not of the AC, although the 
MTU of the AC should be used to help size the reassembly buffers (see 
section 4.2 of the fragmentation draft).

Cheers,
Andy

-----------

At 6/26/2006 12:47 +0200, Sasha Vainshtein wrote:
>IANA has assigned a type of 0x01 for this sub-TLV 
>(see  http://www.iana.org/assignments/pwe3-parameters).
>
>Did I miss something?
>
>Regards,
>                        Sasha
>

---

From: "Yaakov Stein" <[email-masked]>
Date: Mon, 26 Jun 2006 20:04:58 +0200

Andy / Sasha, 

Yes, Sasha is correct.

I wanted to avoid a jumbo frame being fragmented but then discarded
as the far-end AC could not support.  But this can't happen
if the PW is not set up unless the MTUs match.

BTW, "transporting  packets" needs to be interpreted as "transporting
packets or frames".

Thanks to both of you, 

Y(J)S

-----Original Message-----
From: Andrew G. Malis [mailto:[email-masked]] 
Sent: Monday, June 26, 2006 15:53
To: Sasha Vainshtein
Cc: Yaakov Stein; Malis, Andrew G.; Luca Martini (E-mail); pwe3
Subject: RE: [PWE3] fragmentation and MTU

Sasha and Yaakov,

Sasha is correct - the Interface MTU Sub-TLV signals the MTU of the AC.
Note that this is independent of the fragmentation draft, which
fragments based on the MTU of the PSN, not of the AC, although the MTU
of the AC should be used to help size the reassembly buffers (see
section 4.2 of the fragmentation draft).

Cheers,
Andy

-----------

At 6/26/2006 12:47 +0200, Sasha Vainshtein wrote:
>IANA has assigned a type of 0x01 for this sub-TLV (see  
>http://www.iana.org/assignments/pwe3-parameters).
>
>Did I miss something?
>
>Regards,
>                        Sasha
>
> > I just noticed something that is possibly missing in the MPLS 
> > control protocol extension section of the fragmentation draft.
> >
> > The PW Interface Parameter sub-TLV parameter 0x09 indicates whether 
> > a PE supports fragmentation (i.e. can process the FRG field in the 
> > CW, has memory for storage of intermediate packets,
> > etc)
> > Thus, for an Ethernet PW, we don't know whether a PE specifying that

> > it can handle fragmentation means that it can swallow a jumbo frame,

> > fragmented due to the PSN overhead.
> >
> > packet (i.e. includes some or all of the L2TP + PSN overheads), 
> > rather than the AC limitations. Of course for the L2TPv3 case an AC 
> > limitation can be uniquely translated.
> >
> > Y(J)S
> >
> >
> >